#! /bin/sh
#
# ---> syntax
syntax() {
    echo "Command syntax; "
    echo "  latest.sh [--help] <path-1> [ ... [path-N]]"
    exit
}
#
[ $# = 0 ] && syntax
#
search_dir=$1
shift
#
while [ $# != 0 ]; do
    if [ "$1" == "--help" ]; then
	syntax
    else
	mrv=`/bin/ls -1dt $search_dir/$1 | head -n1 | sed -e 's,.*/,,g'`
	search_dir="$search_dir/$mrv"
    fi
    shift
done
echo "$search_dir"
